# NegativeUNL | xrpl
Documentation for xrpl

# Interface NegativeUNL

The NegativeUNL object type contains the current status of the Negative UNL, a list of trusted validators currently believed to be offline.

#### Hierarchy

- BaseLedgerEntry
- MissingPreviousTxnID
  - NegativeUNL

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:15

#####
Index

### Properties

DisabledValidators?
LedgerEntryType
PreviousTxnID
PreviousTxnLgrSeq
ValidatorToDisable?
ValidatorToReEnable?
index

## Properties

### `Optional` DisabledValidators

DisabledValidators?: {
FirstLedgerSequence: number;
PublicKey: string;
}[]

A list of trusted validators that are currently disabled.

#### Type declaration

- ##### FirstLedgerSequence: number

- ##### PublicKey: string

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:22

### LedgerEntryType

LedgerEntryType: "NegativeUNL"

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:18

### PreviousTxnID

PreviousTxnID: never

This field is missing on this object but is present on most other returned objects.

Inherited from MissingPreviousTxnID.PreviousTxnID

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:22

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: never

This field is missing on this object but is present on most other returned objects.

Inherited from MissingPreviousTxnID.PreviousTxnLgrSeq

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:26

### `Optional` ValidatorToDisable

ValidatorToDisable?: string

The public key of a trusted validator that is scheduled to be disabled in the next flag ledger.

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:30

### `Optional` ValidatorToReEnable

ValidatorToReEnable?: string

The public key of a trusted validator in the Negative UNL that is scheduled to be re-enabled in the next flag ledger.

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:35

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc